Assign the app a new group membership

Prev Next
Post
/sys/v1/apps/{app_id}/groups

Assign the app a new group membership

Security
HTTP
Type bearer
API Key: apiKeyAuth
Header parameter nameAuthorization

Please enter your token prefixed with 'Basic ' (e.g., 'Basic your_token_here')

Path parameters
app_id
string (uuid) Required
Body parameters
object
group_id
string (uuid) Required

The id of the target group

membership
object Required
group_id
string (uuid) Required
roles
Array of object (AppGroupRoleDescriptor) Required
Unique itemstrue
OneOf
AppGroupRoleDescriptorVariantSystemDefined
object (AppGroupRoleDescriptorVariantSystemDefined)
$type
string Required
Valid values[ "SystemDefined" ]
value
string Required
Valid values[ "GroupAuditor", "GroupAdministrator" ]
AppGroupRoleDescriptorVariantCustom
object (AppGroupRoleDescriptorVariantCustom)
$type
string Required
Valid values[ "Custom" ]
value
string (uuid) Required
Responses
2XX

Success result

object
group_id
string (uuid)
roles
Array of object (AppGroupRoleDescriptor)
Unique itemstrue
OneOf
AppGroupRoleDescriptorVariantSystemDefined
object (AppGroupRoleDescriptorVariantSystemDefined)
$type
string
Valid values[ "SystemDefined" ]
value
string
Valid values[ "GroupAuditor", "GroupAdministrator" ]
AppGroupRoleDescriptorVariantCustom
object (AppGroupRoleDescriptorVariantCustom)
$type
string
Valid values[ "Custom" ]
value
string (uuid)